//using Microsoft.AspNetCore.Http;

using adas_core.Domain.Enums;
using adas_core.Domain.Models.DTO;
using Microsoft.AspNetCore.Http;

namespace adas_core.Application.Services.Interfaces;

public interface IFileService
{
    Task<bool> CopyUpdateFiles(ICollection<IFormFile> files);
    Task<bool> UploadAssetFiles(ICollection<IFormFile> files, FileEnum.AssetTheme themeParse);
    List<AssetDto> GetAllAssetFile(FileEnum.AssetTheme themeParse);

    List<string> GetFilesInDirectory(string directoryPath);
}